## net.sf.saxon.instruct
Class SkipInstructionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.instruct.SkipInstructionException

All Implemented Interfaces:
  java.io.Serializable

public class SkipInstructionException
extends XPathException

This exception is thrown by code when execution of an instruction has failed, and the recovery action is to continue with the next instruction.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`SkipInstructionException(java.lang.String message)` Construct a SkipInstructionException

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, hasBeenReported, isTypeError, makeStatic, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsTypeError`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SkipInstructionException

    public SkipInstructionException(java.lang.String message)

  Construct a SkipInstructionException

Parameters:
  `message` - the message text